/* -*- c-basic-offset: 3 -*-
 *
 * Copyright (c) GREYC - IMAGE
 *
 * GREYC- IMAGE
 * 6 Boulevard Marchal Juin
 * F-14050 Caen Cedex France
 *
 *
 * This file is part of the PANTHEON Project
 * http://www.greyc.ensicaen.fr/~regis/Pantheon
 *
 *
 * This file is free software and is provided "AS IS" without a warranty
 * of any kind. Redistribution and use of this source code, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * - THE ENTIRE RISK TO THE QUALITY AND PERFORMANCE OF THIS SOFTWARE IS
 *   WITH YOU.
 * - THE GREYC SHALL NOT BE LIABLE FOR ANY DAMAGES SUFFERED BY LICENSEE
 *   AS A RESULT OF USING, MODIFYING OR DISTRIBUTING THIS FILE OR ITS
 *   DERIVATIVES.
 * - THE NAME OF THE GREYC MAY NOT BE USED TO ENDORSE OR PROMOTE PRODUCTS
 *   DERIVED FROM THIS SOFTWARE WITHOUT SPECIFIC PRIOR WRITTEN PERMISSION.
 */

package fr.greyc.pantheon.thunder.main;

import java.util.Locale;

import javax.swing.SwingUtilities;

import fr.greyc.pantheon.thunder.controller.Thunder;

/**
 * The main class of the application.
 * Just launches the main window.
 * 
 * @author Julian CHENARD - 2009-04-07 
 * @author Jrmy GAUTIER - 2009-04-07
 */
public class Main {
	/** The directory where are stored all icons. */
	public static final String iconDir = "fr/greyc/pantheon/thunder/properties/img/";

	/** The directory where are stored all resources. */
	public static final String resourceDir = "fr/greyc/pantheon/thunder/properties/locale/";
	
    /** Configuration files folder. */
    public final static String CONFIG_FOLDER = System.getProperty("user.home") + "//.greyc";
  
    /** Configuration files folder. */
    public final static String CONFIG_FILE = "//thunder.cfg";
    
	public static Locale currentLocale;

    public static void main(String[] args) {

        SwingUtilities.invokeLater(new Runnable() {
            @Override
            public void run() {
                Thunder v = Thunder.get_instance();
                v.showGui();
            }
        });
    }
}