/* -*- c-basic-offset: 3 -*-
 *
 * Copyright (c) GREYC - IMAGE
 *
 * GREYC- IMAGE
 * 6 Boulevard Marchal Juin
 * F-14050 Caen Cedex France
 *
 *
 * This file is part of the PANTHEON Project
 * http://www.greyc.ensicaen.fr/~regis/Pantheon
 *
 *
 * This file is free software and is provided "AS IS" without a warranty
 * of any kind. Redistribution and use of this source code, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * - THE ENTIRE RISK TO THE QUALITY AND PERFORMANCE OF THIS SOFTWARE IS
 *   WITH YOU.
 * - THE GREYC SHALL NOT BE LIABLE FOR ANY DAMAGES SUFFERED BY LICENSEE
 *   AS A RESULT OF USING, MODIFYING OR DISTRIBUTING THIS FILE OR ITS
 *   DERIVATIVES.
 * - THE NAME OF THE GREYC MAY NOT BE USED TO ENDORSE OR PROMOTE PRODUCTS
 *   DERIVED FROM THIS SOFTWARE WITHOUT SPECIFIC PRIOR WRITTEN PERMISSION.
 */

package fr.greyc.pantheon.thunder.model.bookmark;

import java.io.File;

/**
 * Interface permettant de grer le comportement d'un marque-page.
 * 
 * @author Julian CHENARD - 2009-04-07 
 * @author Jrmy GAUTIER - 2009-04-07
 */
public interface IBookmark {

	/**
	 * Fonction permettant de recuperer le chemin du bookmark
	 * @return Le chemin du bookmark
	 */
	public String getPath();

	/**
	 * Fonction permettant de fixer le chemin du bookmark
	 * @param st Le nom du chemin
	 */
	public void setPath(File st);

	/**
	 * Fonction permettant de recuperer le nom du bookmark
	 * @return Le nom du bookmark
	 */
	public String getName();

	/**
	 * Permet de fixer le nom du bookmark
	 * @param st Le nom du bookmark
	 */
	public void setName(String st);

	/**
	 * Permet d'afficher le nom du bookmark
	 */
	public String toString();

	/**
	 * Permet de tester si deux bookmarks sont les memes.
	 * 
	 * @param b Le bookmark avec lequel on compare
	 * @return Un booleen
	 */
	public boolean equals(Object b);

    /**
     * Permet de connaitre le nombre d'images contenues dans un bookmark.
     * 
     * @return le nombre d'images contenues dans un bookmark
     */
    public int getNbImages();
}
