/* -*- c-basic-offset: 3 -*-
 *
 * Copyright (c) GREYC - IMAGE
 *
 * GREYC- IMAGE
 * 6 Boulevard Marchal Juin
 * F-14050 Caen Cedex France
 *
 *
 * This file is part of the PANTHEON Project
 * http://www.greyc.ensicaen.fr/~regis/Pantheon
 *
 *
 * This file is free software and is provided "AS IS" without a warranty
 * of any kind. Redistribution and use of this source code, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * - THE ENTIRE RISK TO THE QUALITY AND PERFORMANCE OF THIS SOFTWARE IS
 *   WITH YOU.
 * - THE GREYC SHALL NOT BE LIABLE FOR ANY DAMAGES SUFFERED BY LICENSEE
 *   AS A RESULT OF USING, MODIFYING OR DISTRIBUTING THIS FILE OR ITS
 *   DERIVATIVES.
 * - THE NAME OF THE GREYC MAY NOT BE USED TO ENDORSE OR PROMOTE PRODUCTS
 *   DERIVED FROM THIS SOFTWARE WITHOUT SPECIFIC PRIOR WRITTEN PERMISSION.
 */

package fr.greyc.pantheon.thunder.model.image;

/**
 * Classe permettant de reprsenter les informations d'une image.
 * @author Julian CHENARD - 2009-04-07 
 * @author Jrmy GAUTIER - 2009-04-07
 */
public class ImageInfo {
    private int _width;
    private int _height;
    private long _size;
    private String _name;
    private String _path;
    
    public ImageInfo(){
        _width = _height = 0;
        _size = 0;
        _name = "null";        
    }
    
    public ImageInfo(int width, int height, long size, String name, String path) {
        _width = width;
        _height = height;
        _size = size;
        _name = name;
        _path = path;
    }
    
    @Override
    public String toString(){
        if (_width == 0){
            return "Aucune image.";
        }
        return _name+"       "+_width+" x "+_height+"  -  "+_size+" octets.";
    }


    /* GETTERS AND SETTERS */

    public int get_height() {
        return _height;
    }

    public String get_name() {
        return _name;
    }

    public long get_size() {
        return _size;
    }

    public int get_width() {
        return _width;
    }

    public String get_path() {
        return _path;
    }

    public void set_height(int _height) {
        this._height = _height;
    }

    public void set_name(String _name) {
        this._name = _name;
    }

    public void set_size(long _size) {
        this._size = _size;
    }

    public void set_width(int _width) {
        this._width = _width;
    }

    public void set_path(String _path) {
        this._path = _path;
    }
    
    
}
