/* -*- c-basic-offset: 3 -*-
*
* Copyright (c) GREYC - IMAGE
*
* GREYC- IMAGE
* 6 Boulevard Marchal Juin
* F-14050 Caen Cedex France
*
*
* This file is part of the PANTHEON Project
* http://www.greyc.ensicaen.fr/~regis/Pantheon
*
*
* This file is free software and is provided "AS IS" without a warranty
* of any kind. Redistribution and use of this source code, with or without
* modification, are permitted provided that the following conditions
* are met:
* - THE ENTIRE RISK TO THE QUALITY AND PERFORMANCE OF THIS SOFTWARE IS
*   WITH YOU.
* - THE GREYC SHALL NOT BE LIABLE FOR ANY DAMAGES SUFFERED BY LICENSEE
*   AS A RESULT OF USING, MODIFYING OR DISTRIBUTING THIS FILE OR ITS
*   DERIVATIVES.
* - THE NAME OF THE GREYC MAY NOT BE USED TO ENDORSE OR PROMOTE PRODUCTS
*   DERIVED FROM THIS SOFTWARE WITHOUT SPECIFIC PRIOR WRITTEN PERMISSION.
*/

package fr.greyc.pantheon.thunder.model.image;

import java.awt.Image;
import java.awt.Toolkit;
import java.io.File;
import javax.swing.ImageIcon;

/**
 *
  * @author Julian CHENARD - 2009-04-07 
 * @author Jrmy GAUTIER - 2009-04-07
 */
public class RealImage implements DisplayableImage {

    private File _filename;

    RealImage(File filename) {
        _filename = filename;
    }

    /**
     *¨Permet d'afficher l'image entire  l'cran.
     * On utilise le gnrateur d'image fait par rgis Clouard s'il s'agit d'une image
     * Pandore.
     */
    @Override
    public Image displayRealImage() {
        ImageIcon imageIcon = new ImageIcon(_filename.getAbsolutePath());
        Image img;
        if (imageIcon.getIconWidth() < 0) { // May be a Pandore image??
            PandoreImageDecoder pan = new PandoreImageDecoder();
            pan.readImage(_filename.getAbsolutePath());
            img = Toolkit.getDefaultToolkit().createImage(pan);
            imageIcon = new ImageIcon(img);
        } else { // PNG, GIF or PNG images
            img = imageIcon.getImage();
        }

        return img;
    }
}
