/* -*- c-basic-offset: 3 -*-
 *
 * Copyright (c) GREYC - IMAGE
 *
 * GREYC- IMAGE
 * 6 Boulevard Marchal Juin
 * F-14050 Caen Cedex France
 *
 *
 * This file is part of the PANTHEON Project
 * http://www.greyc.ensicaen.fr/~regis/Pantheon
 *
 *
 * This file is free software and is provided "AS IS" without a warranty
 * of any kind. Redistribution and use of this source code, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * - THE ENTIRE RISK TO THE QUALITY AND PERFORMANCE OF THIS SOFTWARE IS
 *   WITH YOU.
 * - THE GREYC SHALL NOT BE LIABLE FOR ANY DAMAGES SUFFERED BY LICENSEE
 *   AS A RESULT OF USING, MODIFYING OR DISTRIBUTING THIS FILE OR ITS
 *   DERIVATIVES.
 * - THE NAME OF THE GREYC MAY NOT BE USED TO ENDORSE OR PROMOTE PRODUCTS
 *   DERIVED FROM THIS SOFTWARE WITHOUT SPECIFIC PRIOR WRITTEN PERMISSION.
 */

package fr.greyc.pantheon.thunder.view.dialogs;

/**
 * Classe permettant de reprsenter une fenetre de chargement.
 * 
 * @author Julian CHENARD - 2009-02-13
 * @author Jrmy GAUTIER - 2009-02-13
 */
public class LoadingBox extends javax.swing.JFrame {

	private int _total;

	/** Creates new form LoadingBox */
	public LoadingBox(int total) {
		_total = total;
		initComponents();
		this.setLocationRelativeTo(null);
		this.setVisible(true);
	}

	/**
	 * Permet de mettre  jour la barre de progression.
	 * @param count Le nombre de chargement effectu.
	 */
	public void update(int count) {
		_loadingBar.setValue(count);
	}

	/** This method is called from within the constructor to
	 * initialize the form.
	 * WARNING: Do NOT modify this code. The content of this method is
	 * always regenerated by the Form Editor.
	 */
	@SuppressWarnings("unchecked")
	private void initComponents() {

		_loadingBar = new javax.swing.JProgressBar(0, _total);
		_loadingLabel = new javax.swing.JLabel();

		setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);

		_loadingLabel.setText("Chargement des images en cours...");
		_loadingBar.setValue(0);
		_loadingBar.setStringPainted(true);


		javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
		getContentPane().setLayout(layout);
		layout.setHorizontalGroup(
				layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING).addGroup(layout.createSequentialGroup().addContainerGap().addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING).addComponent(_loadingBar, javax.swing.GroupLayout.DEFAULT_SIZE, 366, Short.MAX_VALUE).addComponent(_loadingLabel)).addContainerGap()));
		layout.setVerticalGroup(
				layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING).addGroup(layout.createSequentialGroup().addGap(17, 17, 17).addComponent(_loadingLabel).addGap(18, 18, 18).addComponent(_loadingBar, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE).addContainerGap(24, Short.MAX_VALUE)));

		pack();
	}

	// Variables declaration - do not modify
	private javax.swing.JLabel _loadingLabel;
	private javax.swing.JProgressBar _loadingBar;
	// End of variables declaration
}
