/* -*- c-basic-offset: 3 -*-
 *
 * Copyright (c) GREYC - IMAGE
 *
 * GREYC- IMAGE
 * 6 Boulevard Marchal Juin
 * F-14050 Caen Cedex France
 *
 *
 * This file is part of the PANTHEON Project
 * http://www.greyc.ensicaen.fr/~regis/Pantheon
 *
 *
 * This file is free software and is provided "AS IS" without a warranty
 * of any kind. Redistribution and use of this source code, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * - THE ENTIRE RISK TO THE QUALITY AND PERFORMANCE OF THIS SOFTWARE IS
 *   WITH YOU.
 * - THE GREYC SHALL NOT BE LIABLE FOR ANY DAMAGES SUFFERED BY LICENSEE
 *   AS A RESULT OF USING, MODIFYING OR DISTRIBUTING THIS FILE OR ITS
 *   DERIVATIVES.
 * - THE NAME OF THE GREYC MAY NOT BE USED TO ENDORSE OR PROMOTE PRODUCTS
 *   DERIVED FROM THIS SOFTWARE WITHOUT SPECIFIC PRIOR WRITTEN PERMISSION.
 */
 
package fr.greyc.pantheon.thunder.view.imagesform;

import java.awt.BorderLayout;
import java.awt.Dimension;
import javax.swing.BorderFactory;
import javax.swing.JPanel;

import fr.greyc.pantheon.thunder.model.image.ImageButton;
import fr.greyc.pantheon.thunder.model.image.ThumbnailImage;

/**
 *
 * @author Julian CHENARD - 2009-04-07 
 * @author Jrmy GAUTIER - 2009-04-07
 */
public class ImageCanvas extends JPanel {

    /* La dimension du panel d'une miniature en pixels */
    public static final int DIM_IMAGE = 200;

    public ImageCanvas(ThumbnailImage ti) {
        super(new BorderLayout());
        
        this.add(createImageButton(ti), BorderLayout.CENTER);

        /* Cration de la bordure du panel */
        this.setBorder(BorderFactory.createCompoundBorder(
                BorderFactory.createRaisedBevelBorder(), BorderFactory.createLoweredBevelBorder()));
    }

    @Override
    public Dimension getPreferredSize() {
        return new Dimension(ImageCanvas.DIM_IMAGE, ImageCanvas.DIM_IMAGE);
    }
    
    
    /**
     * Permet de creer un imageButton en fonction d'une miniature.
     * 
     * @param ti La miniature
     * @return un bouton contenant l'image
     */
    private ImageButton createImageButton(ThumbnailImage ti){
        if (ti != null){
            return new ImageButton(ti);
        }
        System.err.println("L'image est nulle, on renvoie une image vide ");
        return new ImageButton();
    }
}
