/* -*- c-basic-offset: 3 -*-
 *
 * Copyright (c) GREYC - IMAGE
 *
 * GREYC- IMAGE
 * 6 Boulevard Marchal Juin
 * F-14050 Caen Cedex France
 *
 *
 * This file is part of the PANTHEON Project
 * http://www.greyc.ensicaen.fr/~regis/Pantheon
 *
 *
 * This file is free software and is provided "AS IS" without a warranty
 * of any kind. Redistribution and use of this source code, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * - THE ENTIRE RISK TO THE QUALITY AND PERFORMANCE OF THIS SOFTWARE IS
 *   WITH YOU.
 * - THE GREYC SHALL NOT BE LIABLE FOR ANY DAMAGES SUFFERED BY LICENSEE
 *   AS A RESULT OF USING, MODIFYING OR DISTRIBUTING THIS FILE OR ITS
 *   DERIVATIVES.
 * - THE NAME OF THE GREYC MAY NOT BE USED TO ENDORSE OR PROMOTE PRODUCTS
 *   DERIVED FROM THIS SOFTWARE WITHOUT SPECIFIC PRIOR WRITTEN PERMISSION.
 */

package fr.greyc.pantheon.thunder.view.imagesform;

import javax.swing.ImageIcon;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JScrollPane;

import fr.greyc.pantheon.thunder.model.image.ThumbnailImage;

/**
 *
 * @author Julian CHENARD - 2009-04-07 
 * @author Jrmy GAUTIER - 2009-04-07
 */
public class ImageFrame extends JFrame {

	private ThumbnailImage _thumbnail;
	/* Les tailles de la fenetre (largeur et hauteur) */
	private final int FRAME_WIDTH = 500;
	private final int FRAME_HEIGHT = 500;
	/**
	 * Constructeur.
	 * @param thumbnail une image miniature.
	 */
	public ImageFrame(ThumbnailImage thumbnail) {
		super(thumbnail.get_info().get_name());
		_thumbnail = thumbnail;
		initThisFrame();
		setVisible(true);
	}

	/**
	 * Permet de grer l'initalisation d'une jframe contenant une image
	 * pandore en taille relle.
	 */
	private void initThisFrame() {
		/* Cration de l'image taille relle */
		this.setDefaultCloseOperation(JFrame.DISPOSE_ON_CLOSE);
		ImageIcon realImage = new ImageIcon(_thumbnail.getRealImage());
		JScrollPane scrollPane = new JScrollPane(new JLabel(realImage));
		getContentPane().add(scrollPane);
		setSize(FRAME_WIDTH,FRAME_HEIGHT);
	}
}
