/* -*- c-basic-offset: 3 -*-
 *
 * Copyright (c) GREYC - IMAGE
 *
 * GREYC- IMAGE
 * 6 Boulevard Marchal Juin
 * F-14050 Caen Cedex France
 *
 *
 * This file is part of the PANTHEON Project
 * http://www.greyc.ensicaen.fr/~regis/Pantheon
 *
 *
 * This file is free software and is provided "AS IS" without a warranty
 * of any kind. Redistribution and use of this source code, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * - THE ENTIRE RISK TO THE QUALITY AND PERFORMANCE OF THIS SOFTWARE IS
 *   WITH YOU.
 * - THE GREYC SHALL NOT BE LIABLE FOR ANY DAMAGES SUFFERED BY LICENSEE
 *   AS A RESULT OF USING, MODIFYING OR DISTRIBUTING THIS FILE OR ITS
 *   DERIVATIVES.
 * - THE NAME OF THE GREYC MAY NOT BE USED TO ENDORSE OR PROMOTE PRODUCTS
 *   DERIVED FROM THIS SOFTWARE WITHOUT SPECIFIC PRIOR WRITTEN PERMISSION.
 */
/*
 * ImagesPanel.java
 *
 * Created on 14 dec. 2008, 18:36:52
 */
package fr.greyc.pantheon.thunder.view.imagesform;

import java.awt.BorderLayout;
import java.awt.GridLayout;
import java.util.Vector;
import javax.swing.JPanel;

import fr.greyc.pantheon.thunder.model.image.ThumbnailImage;


/**
 *
 * @author Julian CHENARD - 2009-04-07 
 * @author Jrmy GAUTIER - 2009-04-07
 */
public class ImagesPanel extends JPanel{

    private GridLayout _layout;

    /** Creates new form ImagesPanel */
    public ImagesPanel() {
        initComponents();
        _layout = new GridLayout(0, 5, 10, 20);
    }

    /**
     * Permet de charger les images dans ce panel.
     * On supprime d'abord toutes les images du panel, puis on charge les images
     * contenues dans le vecteur argument.
     * @param v Un vector contenant les images a afficher.
     */
    public void loadImages(Vector<ThumbnailImage> v) {

        this.removeAll();
        if (v != null) {
            ImageCanvas im;
            int position = 0;
            this.setLayout(new BorderLayout());
            JPanel jp = new JPanel(_layout);

            for (ThumbnailImage t : v) {
                im = new ImageCanvas(t);
                jp.add(im, position);
                position++;
            }

            /* On ajoute le jpanel  la fenetre */
            this.add(jp, BorderLayout.PAGE_START);
            this.validate();
            this.repaint();
        }
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    private void initComponents() {//GEN-BEGIN:initComponents

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGap(0, 494, Short.MAX_VALUE)
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGap(0, 300, Short.MAX_VALUE)
        );
    }//GEN-END:initComponents

    // Variables declaration - do not modify//GEN-BEGIN:variables
    // End of variables declaration//GEN-END:variables
}
