/* -*- c-basic-offset: 3 -*-
 *
 * Copyright (c) GREYC - IMAGE
 *
 * GREYC- IMAGE
 * 6 Boulevard Marchal Juin
 * F-14050 Caen Cedex France
 *
 *
 * This file is part of the PANTHEON Project
 * http://www.greyc.ensicaen.fr/~regis/Pantheon
 *
 *
 * This file is free software and is provided "AS IS" without a warranty
 * of any kind. Redistribution and use of this source code, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * - THE ENTIRE RISK TO THE QUALITY AND PERFORMANCE OF THIS SOFTWARE IS
 *   WITH YOU.
 * - THE GREYC SHALL NOT BE LIABLE FOR ANY DAMAGES SUFFERED BY LICENSEE
 *   AS A RESULT OF USING, MODIFYING OR DISTRIBUTING THIS FILE OR ITS
 *   DERIVATIVES.
 * - THE NAME OF THE GREYC MAY NOT BE USED TO ENDORSE OR PROMOTE PRODUCTS
 *   DERIVED FROM THIS SOFTWARE WITHOUT SPECIFIC PRIOR WRITTEN PERMISSION.
 */

package fr.greyc.pantheon.thunder.view.popup;

import java.io.File;

import fr.greyc.pantheon.thunder.model.image.ImageInfo;
import fr.greyc.pantheon.thunder.view.ThunderView;

/**
 *
 *
 * @author Julian CHENARD - 2009-04-07 
 * @author Jrmy GAUTIER - 2009-04-07
 */
public class DeleteStrategy extends Strategy{

    /**
     * Constructeur
     * @param _imageInfo les infos de l'image sur laquelle on a clique.
     */
    public DeleteStrategy( ImageInfo info ) {
        _imageInfo = info;
    }

    /**
     * Methode permettant d'effectuer l'action supprimer.
     * On supprime l'image du disque de l'utilisateur.
     */
    @Override
    public void doAction() {
        /*
         * On recupre le chemin complet de l'image, transformation en file puis
         * suppression.
         */
//        System.out.println("Suppression de l'image : "+_imageInfo.get_path());
        File image = new File(_imageInfo.get_path());
        System.err.println(image.getParent());
        image.delete();
        ThunderView.loadImages(image.getParent());
    }

}
