/* -*- c-basic-offset: 3 -*-
 *
 * Copyright (c) GREYC - IMAGE
 *
 * GREYC- IMAGE
 * 6 Boulevard Marchal Juin
 * F-14050 Caen Cedex France
 *
 *
 * This file is part of the PANTHEON Project
 * http://www.greyc.ensicaen.fr/~regis/Pantheon
 *
 *
 * This file is free software and is provided "AS IS" without a warranty
 * of any kind. Redistribution and use of this source code, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * - THE ENTIRE RISK TO THE QUALITY AND PERFORMANCE OF THIS SOFTWARE IS
 *   WITH YOU.
 * - THE GREYC SHALL NOT BE LIABLE FOR ANY DAMAGES SUFFERED BY LICENSEE
 *   AS A RESULT OF USING, MODIFYING OR DISTRIBUTING THIS FILE OR ITS
 *   DERIVATIVES.
 * - THE NAME OF THE GREYC MAY NOT BE USED TO ENDORSE OR PROMOTE PRODUCTS
 *   DERIVED FROM THIS SOFTWARE WITHOUT SPECIFIC PRIOR WRITTEN PERMISSION.
 */
package fr.greyc.pantheon.thunder.view.popup;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.JMenuItem;

/**
 *
 * @author Julian CHENARD - 2009-04-07 
 * @author Jrmy GAUTIER - 2009-04-07
 */
/**
 * Classe permettant de dfinir un item du menu popup.
 * Chaque objet de cette classe devra redfinir l'action associe  0 ce bouton.
 * Implmentation du design pattern 'strategy'
 */
public class PopupItem extends JMenuItem implements ActionListener{

	private Strategy _action;

	/**
	 * Constructeur
	 */
	public PopupItem(String s, Strategy action) {
		super(s);
		_action = action;
		this.addActionListener(this);
	}

	/**
	 * Methode spcifiant le comportement de l'item.
	 */
	public void doAction() {
		_action.doAction();
	}

	/**
	 * Permet d'effectuer l'action associe  cet item du menu popup.
	 * @param e L'venement  la source de cette action.
	 */
	@Override
	public void actionPerformed(ActionEvent e) {
		doAction();
	}
}
