/* -*- c-basic-offset: 3 -*-
 *
 * Copyright (c) GREYC - IMAGE
 *
 * GREYC- IMAGE
 * 6 Boulevard Marchal Juin
 * F-14050 Caen Cedex France
 *
 *
 * This file is part of the PANTHEON Project
 * http://www.greyc.ensicaen.fr/~regis/Pantheon
 *
 *
 * This file is free software and is provided "AS IS" without a warranty
 * of any kind. Redistribution and use of this source code, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * - THE ENTIRE RISK TO THE QUALITY AND PERFORMANCE OF THIS SOFTWARE IS
 *   WITH YOU.
 * - THE GREYC SHALL NOT BE LIABLE FOR ANY DAMAGES SUFFERED BY LICENSEE
 *   AS A RESULT OF USING, MODIFYING OR DISTRIBUTING THIS FILE OR ITS
 *   DERIVATIVES.
 * - THE NAME OF THE GREYC MAY NOT BE USED TO ENDORSE OR PROMOTE PRODUCTS
 *   DERIVED FROM THIS SOFTWARE WITHOUT SPECIFIC PRIOR WRITTEN PERMISSION.
 */

package fr.greyc.pantheon.thunder.view.popup;

import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;

import fr.greyc.pantheon.thunder.model.bookmark.IBookmark;
import fr.greyc.pantheon.thunder.model.image.ImageInfo;

/**
 *
 * @author Julian CHENARD - 2009-04-07 
 * @author Jrmy GAUTIER - 2009-04-07
 */
public class SendToBookmarkStrategy extends Strategy {

    private IBookmark _destination;

    /**
     * Constructeur
     * @param _imageInfo les infos de l'image sur laquelle on a clique.
     */
    public SendToBookmarkStrategy(ImageInfo info, IBookmark dst) {
        _imageInfo = info;
        _destination = dst;
    }

    /**
     * Methode permettant de copier l'image dans un marque-page
     * pralablement slectionn.
     */
    @Override
    public void doAction() {
        File destination = new File(_destination.getPath()+"//"+_imageInfo.get_name());
        File source = new File(_imageInfo.get_path());
        int nbLecture;

        // Declaration des flux
        java.io.FileInputStream sourceFile = null;
        java.io.FileOutputStream destinationFile = null;
        try {
            // Cration du fichier :
            destination.createNewFile();
            // Ouverture des flux
            sourceFile = new FileInputStream(source);
            destinationFile = new FileOutputStream(destination);
            // Lecture par segment de 0.5Mo
            byte buffer[] = new byte[512 * 1024];

            while ((nbLecture = sourceFile.read(buffer)) != -1) {
                destinationFile.write(buffer, 0, nbLecture);
            }

            // Copie russie
        } catch (java.io.FileNotFoundException e) {
            System.err.println("Image du dossier : "+_imageInfo.get_path());
            System.err.println("Dossier destination : "+destination.getPath());
            e.printStackTrace();

        } catch (java.io.IOException e) {
            System.err.println("Image du dossier : "+_imageInfo.get_path());
            System.err.println("Dossier destination : "+destination.getPath());
            e.printStackTrace();
        } finally {
            // Quoi qu'il arrive, on ferme les flux
            try {
                sourceFile.close();
            } catch (Exception e) {
            }
            try {
                destinationFile.close();
            } catch (Exception e) {
            }
        }
    }
}
